Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009027 [DCSS] Bug Report minor always 2014-10-06 23:13 2014-10-13 01:32
Reporter Kashira View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status resolved   Product Branch experimental branch
Summary 0009027: Felid jump attack doesn't work with empty tiles
Description The summary says it all.
This sometimes leads to silly situations: player summons something flying, forces it to move to desired location, then jump-attacks it.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0027445)
doy (developer)
2014-10-06 23:22

This is certainly silly, but (mostly) free semi-controlled blink would be even sillier. Do you have an idea for what we could do differently?
(0027451)
Kashira (reporter)
2014-10-07 21:39

Adding confusion chance after jump might work. As player "grows sure in legs", the chance decreases, just as actual LoS-ranged mana-powered controlled blink becomes more and more available.
I don't see any balance problems though. Ru worshippers have exh-powered controlled blink, and felids start with ****-piety-equivalent set of limitations: no armour, no weapon, no shields, neither gives any egos, rods can't be evoked.
(0027480)
gammafunk (administrator)
2014-10-13 01:32

Jump-attack was removed for reasons described in the following commit:

http://s-z.org/neil/git/?p=crawl.git;a=commit;h=3cebfc1d9e22b882f894932b5587901909df21b8 [^]

Marking resolved, but if you have a proposal for new felid abilities or even better a felid redesign that keeps the "extra life" aspect without restrictions that many feel aren't very fun, please write it up and post to the game design forum on tavern:

https://crawl.develz.org/tavern/viewforum.php?f=8 [^]

Thanks!

- Issue History
Date Modified Username Field Change
2014-10-06 23:13 Kashira New Issue
2014-10-06 23:22 doy Note Added: 0027445
2014-10-07 21:39 Kashira Note Added: 0027451
2014-10-13 01:32 gammafunk Note Added: 0027480
2014-10-13 01:32 gammafunk Status new => resolved
2014-10-13 01:32 gammafunk Fixed in Branch => 0.16 development branch
2014-10-13 01:32 gammafunk Resolution open => done
2014-10-13 01:32 gammafunk Assigned To => gammafunk


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker